## NAME

CURLOPT_CERTINFO - request SSL certificate information

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_CERTINFO, long certinfo);

## DESCRIPTION

Pass a long set to 1 to enable libcurl's certificate chain info gatherer. With this enabled, libcurl will extract lots of information and data about the certificates in the certificate chain used in the SSL connection. This data may then be retrieved after a transfer using curl_easy_getinfo(3) and its option CURLINFO_CERTINFO.

## DEFAULT

0

## PROTOCOLS

All TLS-based

## EXAMPLE

TODO

## AVAILABILITY

This option is supported by the OpenSSL, GnuTLS, NSS and GSKit backends.

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_CAINFO, CURLOPT_SSL_VERIFYPEER

This HTML page was made with roffit.